Last modified: 2013-11-14 14:32:56 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 16683 - User CSS/JS should be parsed as it is rendered, with all wikicode ignored (treated as source/pre)
User CSS/JS should be parsed as it is rendered, with all wikicode ignored (tr...
Status: REOPENED
Product: MediaWiki
Classification: Unclassified
ContentHandler (Other open bugs)
1.21.x
All All
: Low normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-17 04:24 UTC by Mike.lifeguard
Modified: 2013-11-14 14:32 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Mike.lifeguard 2008-12-17 04:24:42 UTC
Templates in user js/css files are listed as being transcluded, though they actually aren't. Therefore, they shouldn't be listed. See http://commons.wikimedia.org/wiki/User:Alpta/monobook.js for example - Template:Flickrreview is listed as being transcluded in this page, though it isn't really.
Comment 1 Random832 2008-12-17 04:25:34 UTC
Also, categories.
Comment 2 Mike.lifeguard 2008-12-17 04:34:16 UTC
Thanks to Splarka for the suggested & more accurate summary.
Comment 3 Random832 2008-12-18 06:11:50 UTC
Actually, on second thought, some people do intentionally use links for tracking with whatlinkshere. So maybe just suppress transclusion?
Comment 4 Mike.lifeguard 2008-12-18 06:15:56 UTC
(In reply to comment #3)
> Actually, on second thought, some people do intentionally use links for
> tracking with whatlinkshere. So maybe just suppress transclusion?
> 

If it's not a link, its not a link.
Comment 5 Daniel Friesen 2008-12-18 06:16:52 UTC
Though, do note that some of us like to use an extra include or whatnot, to actually enable &templates=expand inside of the action=raw for their css/js pages.

Templates are a real interesting method of making it possible to cleanly separate your code, yet not require inclusion of a large number of files into the page slowing down loading.
Comment 6 Splarka 2008-12-18 07:28:48 UTC
That sh(In reply to comment #5)
> Though, do note that some of us like to use an extra include or whatnot, to
> actually enable &templates=expand inside of the action=raw for their css/js
> pages.
> 

This shouldn't actually affect whether &templates=expand work or not (and if it does, it shouldn't). This is just a bug indicating which parse method should be used for the purposes of registering page information, such as links/templates/categories/images.

This in a way is similar to the debate over bug 14404 -- a proposed solution is that int: should parse the page in content language for the purposes of links, and in user language for viewing.(In reply to comment #3)

> Actually, on second thought, some people do intentionally use links for
> tracking with whatlinkshere. So maybe just suppress transclusion?

I find the new search quite good at this actually (but that is a bit of a Wikimedia-centric view).

Comment 7 Bartosz Dziewoński 2013-01-19 01:23:30 UTC
As far as I can see this behavior was changed with the introduction of ContentHandler. JS/CSS pages are no longer wikitext, so they are no longer parsed at all.
Comment 8 Bartosz Dziewoński 2013-01-26 19:08:32 UTC
Reopening, this doesn't actually seem fixed. I'm not sure where I got that impression.

E.g. this page[1] is listed in this category[2].

[1] https://pl.wikipedia.org/wiki/Wikipedysta:Blackfish/en2pl.js
[2] https://pl.wikipedia.org/wiki/Kategoria:Miasta_w_hrabstwie_$1
Comment 9 Platonides 2013-01-26 22:51:26 UTC
That seems done on purpose.
Comment 10 Bartosz Dziewoński 2013-01-31 22:30:00 UTC
That doesn't make this behavior not wrong by itself.

While I see that this bug has actually become a feature and some people e.g use the backlinks to track script usage, this is highly unreliable and would be better accomplished by scanning the database dump.

I vaguely remember some discussion about this behavior when ContentHandler was being introduced, but I have no idea where it took place and what was the outcome.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links